Overview of changes in 40.2
===========================

* Fixed a crash on shell search
* Fixed a crash in detached notes
* Depend on webkit2gtk-4.1
* Fixed Flatpak build
* Fixed --new-note when Notes is already open

Translations
* Spanish, Occitan, Indonesian, Vietnamese, Russian, Icelandic, Abkhazian
  Georgian, Belarusian, Danish, Bulgarian

Contributors
* Balló György, Mohammed Sadiq

Overview of changes in 40.1
===========================

* Fixed e-mail sharing feature
* Fixed issue preventing compiling single source files
* Fixed 40's release date in appdata

Translations
* French, Nepali

Contributors
* Charles Monzat, Felix Riemann, Isaque Galdino, Michael Forney, Pawan Chitrakar

Overview of changes in 40.0
===========================

* Added bidirectional text support to notes view
* Dropped Zeitgeist support
* Enabled formatting without dependency on selected text
* Improved Help
* Improved Nextcloud support by using Nextcloud Notes API
* Fixed many bugs and improved application code overall

Translations
* Brazilian Portuguese, Catalan, Czech, French, Galician, German, Hebrew, Hungarian, Indonesian, Korean, Norwegian Bokmål, Polish, Slovenian, Swedish and Ukrainian

Contributors
* Anders Jonsson, Balázs Úr, Felipe Borges, Fran Dieguez, Guillaume Bernard, Isaque Galdino, Jonathan Kang, Jordi Mas, Kévin Commaille, Kjartan Maraas, Kukuh Syafaat, Marek Černocký, Mario Blättermann, Matej Urbančič, Mohammed Sadiq, Piotr Drąg, Rafael Fontenelle, Sabri Ünal, Seong-ho Cho, Yosef Or Boczko and Yuri Chornoivan

Overview of changes in 3.38.0
=============================

* Added "Create New Note" shortcut to Desktop Actions (Felipe Borges)
* Added support to Tracker 3 (Carlos Garnacho)
* Added Tamil translation (அருள்)
* Added the last missing shortcuts (F10, CTRL+W, CTRL+Q) (Jonathan Kang, Isaque Galdino)
* Changed default note color to GNOME Blue
* Changed paste behavior in note view to "text-only" mode
* Enabled WebKit sandboxing (Diego Escalante Urrelo)
* Improved code quality (Alberto Fanjul, Stefano Facchini)
* Improved flatpak to meson when building GOA and EDS (Georges Basile Stavracas Neto)
* Improved help pages (Piotr Drąg, Pranali Deshmukh, scootergrisen, Yuri Chornoivan)
* Implemented main view UI redesign (Allan Day, Tobias Bernard, Isaque Galdino)
* Removed libgd dependancy
* Removed option to change note in Trash bin

Backported to 3.36
* Fixed issue in main view paging that was preventing to show more than 48 notes
* Fixed memory leak in OwnCloud provider (Mohammed Sadiq)
* Fixed notes behavior when in Trash (Jonathan Kang, Isaque Galdino)

Translations
* ca (Gil Forcada, Jordi Mas)
* ckb (Jwtiyar Nariman)
* cs (Marek Černocký)
* da (Alan Mortensen, scootergrisen)
* de (Christian Kirbach, Mario Blättermann, Stephan Woidowski)
* el (Efstathios Iosifidis)
* eo (Carmen Bianca BAKKER)
* en_GB (Bruce Cowan)
* es (Daniel Mustieles)
* eu (Asier Sarasua Garmendia)
* fa (Danial Behzadi)
* fi (Jiri Grönroos)
* fr (Alexandre Franke, Charles Monzat)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* he (Yosef Or Boczko)
* hr (Goran Vidović)
* hu (Balázs Meskó)
* id (Andika Triwidada, Kukuh Syafaat)
* it (Gianvito Cavasoli)
* ja (sicklylife)
* kk (Baurzhan Muftakhidinov)
* ko (Seong-ho Cho)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nb (Kjartan Maraas)
* nl (Nathan Follens)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* pt (Juliano Camargo)
* ro (Daniel Șerbănescu, Florentina Mușat)
* sk (Dušan Kazik)
* sl (Matej Urbančič)
* sr (Марко Костић)
* sv (Anders Jonsson)
* ta (அருள்)
* tr (Emin Tufan Çetin)
* uk (Daniel Korostil, Yuri Chornoivan)
* zh_CN (Boyuan Yang, Dz Chen)
* zh_TW (Cheng-Chia Tseng)

Overview of changes in 3.37.92
==============================

Translations
* da (Alan Mortensen)
* de (Mario Blättermann)
* hu (Balázs Meskó)
* ko (Seong-ho Cho)
* pt (Juliano Camargo)
* sk (Dušan Kazik)
* sv (Anders Jonsson)

Overview of changes in 3.37.91
==============================

* Changed default note color to GNOME Blue
* Improved help pages (Piotr Drąg)
* Improved code quality (Alberto Fanjul, Stefano Facchini)

Translations
* cs (Marek Černocký)
* de (Stephan Woidowski)
* fi (Jiri Grönroos)
* hr (Goran Vidović)
* ja (sicklylife)
* nl (Nathan Follens)
* pl (Piotr Drąg)
* sr (Марко Костић)

Overview of changes in 3.37.90
==============================

* Added Central Kurdish translation (Jwtiyar Nariman)
* Added Tamil translation (அருள்)
* Changed paste behavior in note view to "text-only" mode
* Enabled WebKit sandboxing (Diego Escalante Urrelo)
* Fixed issue in main view paging that was preventing to load more than 48 notes
* Implemented main view UI redesign (Allan Day, Tobias Bernard, Isaque Galdino)
* Improved flatpak to meson when building GOA and EDS (Georges Basile Stavracas Neto)
* Improved help pages (Pranali Deshmukh, scootergrisen, Yuri Chornoivan)
* Ported to Tracker 3 (Carlos Garnacho)
* Removed libgd dependancy
* Removed option to change note in Trash bin

Translations
* ca (Gil Forcada, Jordi Mas)
* ckb (Jwtiyar Nariman)
* da (scootergrisen)
* el (Efstathios Iosifidis)
* eu (Asier Sarasua Garmendia)
* eo (Carmen Bianca BAKKER)
* fr (Alexandre Franke)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* id (Kukuh Syafaat)
* ja (sicklylife)
* kk (Baurzhan Muftakhidinov)
* lt (Aurimas Černius)
* pt_BR (Rafael Fontenelle)
* ro (Florentina Mușat)
* sl (Matej Urbančič)
* ta (அருள்)
* uk (Yuri Chornoivan)
* zh_CN (Boyuan Yang)

Overview of changes in 3.37.1
=============================

* Added "Create New Note" shortcut to Desktop Actions (Felipe Borges)
* Added the last missing shortcuts (F10, CTRL+W, CTRL+Q) (Jonathan Kang, Isaque Galdino)
* Fixed memory leak when parsing Own/NextCloud folder (Mohammed Sadiq)
* Fixed notes behavior when in Trash (Jonathan Kang, Isaque Galdino)

Translations
* cs (Marek Černocký)
* es (Daniel Mustieles)
* fa (Danial Behzadi)
* fr (Charles Monzat)
* he (Yosef Or Boczko)
* id (Andika Triwidada)
* nb (Kjartan Maraas)
* ro (Daniel Șerbănescu)
* sk (Dušan Kazik)
* sv (Anders Jonsson)
* tr (Emin Tufan Çetin)
* uk (Daniel Korostil, Yuri Chornoivan)
* zh_CN (Dz Chen)
* zh_TW (Cheng-Chia Tseng)

Overview of changes in 3.35.92
==============================

Translations

* cs (Marek Černocký)
* da (Alan Mortensen)
* de (Tim Sabsch)
* fi (Jiri Grönroos)
* fr (Guillaume Bernard)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* hr (Milo Ivir)
* hu (Balázs Úr)
* it (Gianvito Cavasoli)
* ko (Seong-ho Cho)
* lt (Aurimas Černius)
* nl (Nathan Follens)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* sl (Matej Urbančič)
* sr (Марко Костић)
* sv (Anders Jonsson)
* uk (Daniel Korostil)

Overview of changes in 3.35.91
==============================

* Added Malay translation (Umarzuki Bin Mochlis Moktar)
* Fixed and added many shortcuts (Sabri Ünal, João Vieira)
* Updated help screenshots (Andre Klapper, scootergrisen, Piotr Drąg)

Translations

* el (Efstathios Iosifidis)
* es (Daniel Mustieles)
* eu (Asier Sarasua Garmendia)
* fa (Danial Behzadi)
* hu (Balázs Úr)
* gl (Fran Dieguez)
* id (Andika Triwidada, Kukuh Syafaat)
* ja (sicklylife)
* lt (Aurimas Černius)
* ms (Umarzuki Bin Mochlis Moktar)
* pl (Piotr Drąg)
* sr (Марко Костић)
* sv (Anders Jonsson)
* tr (Sabri Ünal, Emin Tufan Çetin)

Overview of changes in 3.35.2
=============================

* Changed default colors to use GNOME palette
* Fixed paste event handler so Notes knows when that happens
* Reduced minimum window width
* Changed note title to headerbar
* GTimeVal Deprecation

Translations

* gl (Fran Dieguez)

Overview of changes in 3.35.1
=============================

* Added new GNOME Notes Nightly icon (Jakub Steiner)

Translations
* ca (Jordi Mas)
* da (Ask Hjorth Larsen)
* fa (Danial Behzadi)
* sk (Dušan Kazik)
* zh_TW (Yi-Jyun Pan)

Overview of changes in 3.34.0
=============================

* Added intltool as a flatpak dependency (Javier Jardón)
* Added missing icons in editor toolbar (Isaque Galdino)
* Added new API to get human time (Mohammed Sadiq)
* Changed settings window to use the same color chooser as editor window (Jonathan Kang)
* Fixed missing notes from main view (Isaque Galdino)
* Improved application model by removing duplicated note id objects (Isaque Galdino)
* Improved Own/NextCloud notes management (Isaque Galdino)
* Improved README to use markdown (Roger @rogersachan)
* Ported to libecal-2.0 (Milan Crha)

Translations
* cs (Marek Černocký)
* de (Tim Sabsch)
* el (Efstathios Iosifidis)
* en_GB (Philip Withnall)
* es (Daniel Mustieles)
* eu (Asier Sarasua Garmendia)
* fa (Danial Behzadi)
* fi (Jiri Grönroos)
* fr (Charles Monzat)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* hr (Goran Vidović)
* hu (Balázs Úr)
* id (Kukuh Syafaat)
* it (Gianvito Cavasoli)
* ja (Ryuta Fujii)
* ko (Seong-ho Cho)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nb (Kjartan Maraas)
* nl (Nathan Follens)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* ro (Florentina Mușat)
* sl (Matej Urbančič)
* sr (Марко Костић)
* sv (Anders Jonsson)
* tr (Emin Tufan Çetin)

Overview of changes in 3.33.92
==============================

* Added intltool as a flatpak dependency (Javier Jardón)
* Added missing icons in editor toolbar (Isaque Galdino)
* Added new API to get human time (Mohammed Sadiq)
* Changed settings window to use the same color chooser as editor window (Jonathan Kang)
* Fixed appdata screenshot urls (Isaque Galdino)
* Fixed missing notes from main view (Isaque Galdino)
* Improved application model by removing duplicated note id objects (Isaque Galdino)
* Improved Own/NextCloud notes management (Isaque Galdino)
* Improved README to use markdown (Roger @rogersachan)
* Ported to libecal-2.0 (Milan Crha)

Translations
* cs (Marek Černocký)
* de (Tim Sabsch)
* el (Efstathios Iosifidis)
* en_GB (Philip Withnall)
* es (Daniel Mustieles)
* eu (Asier Sarasua Garmendia)
* fa (Danial Behzadi)
* fi (Jiri Grönroos)
* fr (Charles Monzat)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* hr (Goran Vidović)
* hu (Balázs Úr)
* id (Kukuh Syafaat)
* ja (Ryuta Fujii)
* ko (Seong-ho Cho)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nb (Kjartan Maraas)
* nl (Nathan Follens)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* ro (Florentina Mușat)
* sl (Matej Urbančič)
* sr (Марко Костић)
* sv (Anders Jonsson)

Overview of changes in 3.32.1
=============================

Translations
* da (Ask Hjorth Larsen)
* hr (Goran Vidović)

Overview of changes in 3.32.0
=============================

* Added flatpak CI in Gitlab (Felipe Borges / Isaque Galdino)
* Added new GNOME Notes icon (Sam Hewitt / Jakub Steiner)
* Added option to choose between Tracker service or private store (Carlos Garnacho / Isaque Galdino)
* Changed editor toolbar to be always visible (Isaque Galdino)
* Changed flatpak to use desktop portal for email sharing (Günther Wagner)
* Changed menus to popover menus (Isaque Galdino)
* Fixed all text in bold (Isaque Galdino)
* Updated javascript API to JSC (Isaque Galdino)

Translations
* ca (Jordi Mas)
* eo (Kristjan SCHMIDT)
* eu (Asier Sarasua Garmendia)
* fi (Jiri Grönroos)
* fur (Fabio Tomat)
* is (Sveinn í Felli)
* ko (Seong-ho Cho)
* lv (Rūdolfs Mazurs)
* nl (Nathan Follens)
* pt_BR (Rafael Fontenelle)
* ru (Stas Solovey)
* sr (Марко Костић)
* cs (Marek Cernocky)
* da (Alan Mortensen)
* de (Tim Sabsch)
* kk (Baurzhan Muftakhidinov)
* lt (Aurimas Černius)
* pl (Piotr Drąg)
* af (Pieter Schalk Schoeman)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* hu (Balázs Úr)
* id (Kukuh Syafaat)
* ja (Ryuta Fujii)
* ro (Daniel Șerbănescu)
* zh_TW (Yi-Jyun Pan)
* el (Efstathios Iosifidis)
* fr (Charles Monzat)
* sv (Anders Jonsson)
* tr (Sabri Ünal)
* es (Daniel Mustieles)
* eo (Carmen Bianca BAKKER)
* ml (Anish Sheela)
* sl (Matej Urbančič)
* be (Yuras Shumovich)
* cs (Marek Cernocky)
* da (Alan Mortensen)
* de (Mario Blättermann / Tim Sabsch)
* el (Efstathios Iosifidis)
* en_GB (Bruce Cowan)
* es (Daniel Mustieles)
* fi (Jiri Grönroos)
* fr (Alexandre Franke)
* fur (Fabio Tomat)
* hr (gogo)
* hu (Balázs Meskó)
* id (Kukuh Syafaat)
* it (Gianvito Cavasoli)
* ko (Seong-ho Cho)
* kk (Baurzhan Muftakhidinov)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nl (Hannie Dumoleyn)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* ro (Daniel Șerbănescu)
* ru (Stas Solovey)
* sk (Peter Vágner)
* sl (Matej Urbančič)
* sv (Anders Jonsson)
* tr (Emin Tufan Çetin)
* zh_TW (Cheng-Chia Tseng / Yi-Jyun Pan)

Overview of changes in 3.31.92
==============================

* Fixed all text in bold (Isaque Galdino)

Translations
* ca (Jordi Mas)
* eo (Kristjan SCHMIDT)
* eu (Asier Sarasua Garmendia)
* fi (Jiri Grönroos)
* fur (Fabio Tomat)
* is (Sveinn í Felli)
* ko (Seong-ho Cho)
* lv (Rūdolfs Mazurs)
* nl (Nathan Follens)
* pt_BR (Rafael Fontenelle)
* ru (Stas Solovey)
* sr (Марко Костић)

Overview of changes in 3.31.91
==============================

Translations
* cs (Marek Cernocky)
* da (Alan Mortensen)
* de (Tim Sabsch)
* kk (Baurzhan Muftakhidinov)
* lt (Aurimas Černius)
* pl (Piotr Drąg)

Overview of changes in 3.31.90
==============================

Translations
* af (Pieter Schalk Schoeman)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* hu (Balázs Úr)
* id (Kukuh Syafaat)
* ja (Ryuta Fujii)
* ro (Daniel Șerbănescu)
* zh_TW (Yi-Jyun Pan)

Overview of changes in 3.31.4
=============================

Translations
* el (Efstathios Iosifidis)
* fr (Charles Monzat)
* sv (Anders Jonsson)
* tr (Sabri Ünal)

Overview of changes in 3.31.3
=============================

* Improved GNOME Notes icon (Jakub Steiner)

Translations
* es (Daniel Mustieles)

Overview of changes in 3.31.2
=============================

* Added compiler option to choose between Tracker service or private store (Isaque Galdino)
* Changed editor toolbar to be always visible (Isaque Galdino)
* Changed menus to popover menus (Isaque Galdino)
* Fixed shell search provider crash (Isaque Galdino)
* Fixed some compilation warnings (Isaque Galdino)

Translations
* eo (Carmen Bianca BAKKER)
* ml (Anish Sheela)
* sl (Matej Urbančič)

Overview of changes in 3.31.1.1
===============================

* Fix typo in appdata release section (Isaque Galdino)

Overview of changes in 3.31.1
=============================

* Added flatpak CI in Gitlab (Felipe Borges / Isaque Galdino)
* Added new GNOME Notes icon (Sam Hewitt)
* Added online account user and domain information to settings dialog (Julius Härtl)
* Changed application name from org.gnome.bijiben to org.gnome.Notes (Mathieu Bridon / Isaque Galdino)
* Changed flatpak to use desktop portal for email sharing (Günther Wagner)
* Changed Tracker setup to use a private store (Carlos Garnacho)
* Increased notes view width and removed alignment (Isaque Galdino)
* Updated javascript API to JSC (Isaque Galdino)

Translations
* be (Yuras Shumovich)
* cs (Marek Cernocky)
* da (Alan Mortensen)
* de (Mario Blättermann / Tim Sabsch)
* el (Efstathios Iosifidis)
* en_GB (Bruce Cowan)
* es (Daniel Mustieles)
* fi (Jiri Grönroos)
* fr (Alexandre Franke)
* fur (Fabio Tomat)
* hr (gogo)
* hu (Balázs Meskó)
* id (Kukuh Syafaat)
* ko (Seong-ho Cho)
* kk (Baurzhan Muftakhidinov)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nl (Hannie Dumoleyn)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* ro (Daniel Șerbănescu)
* ru (Stas Solovey)
* sk (Peter Vágner)
* sl (Matej Urbančič)
* sv (Anders Jonsson)
* tr (Emin Tufan Çetin)
* zh_TW (Cheng-Chia Tseng / Yi-Jyun Pan)

Overview of changes in 3.29.4
=============================

* Removed application menu and added a new primary menu to the main view
* Added a "Text Size" option in primary menu to let users scale note view
* Add OARS metadata (Nick Richards)

Translations
* de (Vinzenz Vietzke)
* es (Daniel Mustieles)
* fur (Fabio Tomat)
* id (Kukuh Syafaat)
* ro (Daniel Șerbănescu)
* pt_BR (Bruno Lopes da Silva)

Overview of changes in 3.29.3
=============================

* Flatpak fixes

Translations
* el (Efstathios Iosifidis)
* es (Daniel Mustieles)
* zh_CN (Dz Chen)
* zh_TW (Yi-Jyun Pan)

Overview of changes in 3.29.2
=============================

* Improve overall note styling
* Move "Last updated" info to window menu
* Fix UI freeze in text search (Mohammed Sadiq)
* Fix memory leak and circular references in notes and providers
* Drop obsolete configure script (Jeremy Bicha)

Translations
* be (Yuras Shumovich)
* cs (Marek Černocký)
* es (Daniel Mustieles)
* ro (Daniel Șerbănescu)
* sl (Matej Urbančič)
* tr (Muhammet Kara)

Overview of changes in 3.29.1.1
===============================

* Fix typo in appdata release section

Overview of changes in 3.29.1
=============================

* Fix memory leak in Settings
* Make own/nextCloud notes saving async
* Use g_auto* (Mohammed Sadiq)

Translations
* de (Mario Blättermann)
* fi (Jiri Grönroos)
* hu (Balázs Meskó)
* sl (Matej Urbančič)

Overview of changes in 3.28.1
=============================

* Fix appdata and screenshots improving flatpak support

Translations
* ca (Jordi Mas)
* cs (Marek Černocký)
* da (Alan Mortensen)
* el (Efstathios Iosifidis)
* en_GB (Bruce Cowan)
* fr (Alain Lojewski)
* hr (gogo)
* it (Gianvito Cavasoli)
* ja (Jiro Matsuzawa)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nl (Hannie Dumoleyn / Nathan Follens)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* ro (Daniel Șerbănescu)
* sk (Dušan Kazik)
* sl (Matej Urbančič)
* sr (Мирослав Николић)
* sv (Anders Jonsson)
* zh_CN (Aron Xu)

Overview of changes in 3.28.0
==============================

Changes since 3.26.1 stable version

* Meson port (Iñigo Martínez)
* Gettext port (Iñigo Martínez)
* Add shortcuts window (Jonathan Kang)
* Remember last application view style (Jonathan Kang)
* Add flatpak support (Mohammed Sadiq)
* Fix back button in trash view (Mohammed Sadiq)
* Fix crash when running X11 instead of Wayland (Mohammed Sadiq)
* Improve window geometry state (Mohammed Sadiq)
* Improve notes import on startup (Mohammed Sadiq)
* Improve import dialog (Mohammed Sadiq)
* Set default application icon (Mohammed Sadiq)
* Use g_auto* (Mohammed Sadiq)
* Widgets migration to GtkBuilder (Mohammed Sadiq)
* Code clean up (Mohammed Sadiq)
* Disable Zeitgeist support by default
* Adopt #pragma once
* Add support for Tracker2
* Fix owncloud saving issue
* Improve list view

Translations
* ca (Jordi Mas)
* cs (Marek Černocký)
* da (Alan Mortensen / Ask Hjorth Larsen)
* de (Mario Blättermann / Tim Sabsch)
* el (Efstathios Iosifidis)
* es (Daniel Mustieles)
* fi (Jiri Grönroos)
* fur (Fabio Tomat)
* gl (Fran Dieguez)
* hu (Balázs Úr)
* id (Kukuh Syafaat / Andika Triwidada)
* it (Gianvito Cavasoli)
* kk (Baurzhan Muftakhidinov)
* ko (Changwoo Ryu / Hongmin Yang)
* lt (Aurimas Černius)
* lv (Rūdolfs Mazurs)
* nb (Kjartan Maraas)
* nl (Nathan Follens)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* sk (Dušan Kazik)
* sl (Matej Urbančič)
* tr (Emin Tufan Çetin)
* zh_TW (Cheng-Chia Tseng)

Overview of changes in 3.27.90
==============================

* Fix saving title
* Fix back button in trash view (Mohammed Sadiq)
* Improve list view
* Add flatpak support (Mohammed Sadiq)
* Fix owncloud saving issue
* Use g_auto* (Mohammed Sadiq)
* More widgets migrated to GtkBuilder (Mohammed Sadiq)
* More code clean up

Translations
* ca (Jordi Mas)
* de (Tim Sabsch)
* es (Daniel Mustieles)
* fi (Jiri Grönroos)
* fur (Fabio Tomat)
* hu (Balázs Úr)
* id (Kukuh Syafaat, Andika Triwidada)
* lt (Aurimas Černius)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* sk (Dušan Kazik)

Overview of changes in 3.27.4
=============================

* Improve window geometry state (Mohammed Sadiq)
* Set default application icon (Mohammed Sadiq)
* Fix crash when running X11 instead of Wayland (Mohammed Sadiq)
* Improve notes import on startup (Mohammed Sadiq)
* Add shortcuts window (Jonathan Kang)
* More code clean up (Mohammed Sadiq)
* More widgets migrated to GtkBuilder (Mohammed Sadiq)
* Disable Zeitgeist support by default
* Adopt #pragma once

Translations
* es (Daniel Mustieles)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)

Overview of changes in 3.27.3
=============================

* More code clean up (Mohammed Sadiq)
* More widgets migrated to GtkBuilder (Mohammed Sadiq)
* Remember last application view style (Jonathan Kang)

Translations
* de (Mario Blättermann)
* id (Kukuh Syafaat)
* nb (Kjartan Maraas)
* pt_BR (Rafael Fontenelle)

Overview of changes in 3.27.2
=============================

* Fixed missing Unicode strings (Piotr Drąg)
* Code clean up (Mohammed Sadiq)
* Improve adherence to GNOME code standards (Mohammed Sadiq)
* Widgets migration to GtkBuilder (Mohammed Sadiq)
* Move resources to data directory (Iñigo Martínez)
* Improve Meson support (Iñigo Martínez)
* Improve import dialog (Mohammed Sadiq)

Translations
* cs (Marek Cernocky)
* da (Alan Mortensen / Ask Hjorth Larsen)
* lt (Aurimas Černius)
* pl (Piotr Drąg)
* sk (Dušan Kazik)
* sl (Matej Urbančič)

Overview of changes in 3.27.1
=============================

* Meson port (Iñigo Martínez)
* Gettext port (Iñigo Martínez)
* Add translator comments to .desktop file (Piotr Drąg)
* Add support for Tracker2

Translations
* cs (Marek Černocký)
* de (Mario Blättermann)
* lt (Aurimas Černius)
* pt_BR (Rafael Fontenelle)

Overview of changes in 3.26.1
=============================

* Fixed gettext domain (Piotr Drąg)
* Updated a couple of help screenshots (Piotr Drąg)

Translations
* sk (Dušan Kazik)
* sl (Matej Urbančič)

Overview of changes in 3.26.0
=============================

* Re-enable translations broken in 3.24 cycle (Jonathan Kang)
* Fixed crash when closing application in an empty note
* Fixed title for new Memo notes
* Fixed crash when removing Memo notes
* Fixed crash when removing Notebooks from trash (Mohammed Sadiq)
* Fixed memory leak when releasing Notebooks (Mohammed Sadiq)
* Reduced I/O usage when saving window state (Mohammed Sadiq)

Translations
* cs (Marek Černocký)
* hu (Balázs Úr)
* id (Kukuh Syafaat)
* pl (Piotr Drąg)
* sr (Мирослав Николић)
* sv (Josef Jonsson)
* zh_TW (Cheng-Chia Tseng)

Overview of changes in 3.24.2
=============================

* Re-enable translations broken in 3.24 cycle (Jonathan Kang)

Translations
* pl (Piotr Drąg)
* sr (Мирослав Николић)

Overview of changes in 3.24.1
=============================

* Added support for glib 2.53.4 (Isaque Galdino)
* Fixed transparent window issue when no notes are displayed (Isaque Galdino)
* Added support for glib 2.53.2 (Isaque Galdino)
* Fixed memory leak when saving a note (Mohammed Sadiq)
* Fixed memory leak when deleting note in local provider (Mohammed Sadiq)
* Fixed application state stuck in trash view (Isaque Galdino)
* Fixed 64 bits format for text output (Isaque Galdino)
* Fixed application cash when some dates are null (Milan Crha)
* Added missing break in a case statement (Isaque Galdino)
* Removed warning about .Trash folder missing (Isaque Galdino)

Translations
* cs (Marek Černocký)
* de (Mario Blättermann)
* es (Daniel Mustieles)
* id (Kukuh Syafaat)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* sl (Matej Urbančič)
* sv (Anders Jonsson)
* tr (Emin Tufan Çetin)


Overview of changes in 3.24.0
=============================

* Update settings dialog (Georges Basile Stavracas Neto)
* Convert WebKitGTK+ v.1 notes to v.2 (Isaque Galdino)
* Fix wrong references to bijiben desktop file (Laurent Bigonville)
* Update build files (Philip Withnall)
* Port to WebKitGTK+ v.2 (Carlos Garcia Campos)
* Improve how to handle open files (Iñigo Martínez)
* Remove dependancy on libedataserverui (Isaque Galdino)
* Allow build in non-srcdir (Ting-Wei Lan)
* Transform editor toolbar to an action bar (Iñigo Martínez)
* Memory leaks fixes and code clean-up (Iñigo Martínez, Philip Withnall and Jonathan Kang)

Translations
* ca (Jordi Mas, Piotr Drąg)
* cs (Marek Černocký)
* da (Ask Hjorth Larsen)
* de (Mario Blättermann)
* en_AU (Piotr Drąg)
* en_GB (Bruce Cowan)
* es (Daniel Mustieles)
* fa (Arash Mousavi)
* fr (Alexandre Franke)
* hu (Balázs Úr)
* id (Andika Triwidada)
* kk (Baurzhan Muftakhidinov)
* ko (Seong-ho Cho)
* lt (Aurimas Černius)
* nb (Piotr Drąg)
* ne (Piotr Drąg)
* pl (Piotr Drąg)
* pt_BR (Rafael Fontenelle)
* ru (Yuri Myasoedov)
* sl (Piotr Drąg)
* sr (Мирослав Николић, Piotr Drąg)
* sv (Anders Jonsson)
* tr (E T, Piotr Drąg)
* zh_HK (Piotr Drąg)


Overview of changes in 3.21.2
=============================

* Settings : Fix primary book list (#763626)

* Translations


Overview of changes in 3.20.2
=============================


Overview of changes in 3.20.0
=============================

* Translations


Overview of changes in 3.19.92
==============================

* Translations

Overview of changes in 3.19.90
=============================

* Various xdg app fixes (Cosimo Cecchi)

* Translations

Overview of changes in 3.19.4
=============================

* Translations

Overview of changes in 3.19.3
=============================

* CSS updates (Carl van Tonder)
* Search entry on no result (Hernawan Fa'iz Abdillah)
* Color button update (Trinh Anh Ngoc)
* Build : arg to make zeitgeist optional (Poncho)
* appdata : kudos
* Translations


Overview of changes in 3.19.1
=============================

* Translations


Overview of changes in 3.18.0
==============================

* manager::get_item_at_path : handle null

* Translation
  Latvian

Overview of changes in 3.17.92
==============================

* Translation
  French
  Indonesian

Overview of changes in 3.17.91
==============================

* Translation
  Hungarian
  Polish

Overview of changes in 3.17.90
==============================

* Bugs
  Fix missing return (Cheng-Chia Tseng)

* Translation
  Chinese (Taiwan)

Overview of changes in 3.17.4
=============================

* Hi dpi (Cosimo Cecchi)
  - Notes & notebooks icons
  - Fix thumbnails inside shell
  - Empty result box

* Bugs
  Fix crash when note color changes, RH BZ 1204815
  Build error (Yosef Or Boczko)

* Translations
  Portuguese
  Spanish

Overview of changes in 3.17.3
=============================

* Translations
  Spanish
  Occitan

Overview of changes in 3.17.2
=============================

* Translations
  Catalan

Overview of changes in 3.17.1
=============================

* Bugs
  Symbolic variant of the app icon (Jakub Steiner)
  Fix tracker callback
  Typos in help (Alexander Franke)

* Translations
  Basque
  Czech
  Slovak

Overview of changes in 3.16.0
=============================

* Translations
  German
  Italian

Overview of changes in 3.15.92
==============================

* Translations
  Bosnian
  Czech
  Danish
  Finnish
  Galician
  Kazakh
  Korean
  Norwegian bokmål
  Polish
  Punjabi
  Serbian
  Swedish


Overview of changes in 3.15.91
==============================

* Misc
  Settings Dialog : pack providers
  Build : Translate GSettings directly
  Drop Dependency on Evolution

* Translations
  Brazilian Portuguese
  Chinese (Taiwan)
  French
  Greek
  Hebrew
  Hungarian
  Lithuanian
  Russian
  Slovak
  Slovenian
  Spanish
  Turkish
  Ukrainian


Overview of changes in 3.15.90
==============================

* Help
  Add trail image

* Translations
  Greek
  Slovenian
  Swedish
  Norwegian bokmål
  Basque
  Slovak
  Russian
  Czech
  Brazilian Portuguese
  Hungarian
  Spanish
  Kazakh
  German
  Turkish
  Hebrew

Overview of changes in 3.15.3
=============================

* Improve preferences dialog (Trinh Anh Ngoc)

* Misc
  Fix use-system-font

* Documentation (Ekaterina Gerasimova)
  Trash, Share
  Cut Copy Paste
  Notebooks, Search

* Translations
  cz
  hu

Overview of changes in 3.15.2
=============================

* Drop background lines
  Validate AppData
  Ensure ownCloud folder exists

* Documentation
  Updates on colors page
  Refer to <New> button

* Translations
  cs
  el
  es
  he
  nb
  zh

Overview of changes in 3.15.1
=============================

* Misc
  Move bullets to popover (fixes 732212)
  Update to latest ligdg (737267)

* Documentation
  Trash
  Detached notes

* Translations
  Brazilian Portuguese
  Kazakh
  Latvian


Overview of changes in 3.14.0
=============================

* Misc
  Some tips to translations about toolbar

* Translations
  Danish
  German
  Hungarian
  Nepali
  Punjabi
  Serbian
  Swedish
  Turkish
  Ukrainian


Overview of changes in 3.13.92
==============================

* Documentation
  Add tip to delete (Shoba Tyagi)

* Translations
  Arabic
  Catalan
  Czech
  Finnish
  French
  Galician
  Greek
  Hungarian
  Indonesian
  Italian
  Korean
  Lithuanian
  Norwegian bokmål
  Polish
  Russian
  Slovak
  Slovenian
  Spanish

Overview of changes in 3.13.91
==============================

* UI
  Bold title
  Move Last Updated on the right side. Adapt on color.
  Do not align selection bar on keyboard input

* Documentation
  Add tips (Shoba Tyagi)

* Misc
  Add Shortcuts
  Remove GdkColor

* Translations
  Asamese
  Brazilian Portuguese
  Chinese
  Greek
  Hebrew
  Oriya
  Spanish
  Traditional Chinese

Overview of changes in 3.13.90
==============================

* Misc
  OwnCloud : offlinemode
  mtbar131 : Adapt thumbnails to color (#726067)
  Shoba Tyagi: Trash page documentation

* Bug fixes
  Chunyang Xu: Use g_filename (#734817)
  Chunyang Xu : Fix position of label
  Lasse Schuirmann: add mnemonic (#733855)
  Do not js inside results
  Do not trigger search toolbar on modifiers

* Translations
  Catalan
  Finnish
  Greek
  Hebrew
  Lithuanian
  Norwegian bokmål

Overview of changes in 3.13.4
==============================

* Misc
  Mtbar131: Adapt text color (#726067)
  MClasen: Use the new gear menu (#726067)
  Fix Size Request (#721195)

* Translations
  Brazilian
  Galician
  Greek
  Hebrew
  Indonesian
  Spanish
  Russian

Overview of changes in 3.13.3
==============================

* UI
  Indent List (#728868)
  Update link & note icons (#731441)
  Change empty view wording (#731199)

* Misc
  Fix Undo/Redo shortcuts (#731089)
  --new-note commandline arg
  Force empty view when deleting last (#731398)

* Translations
  Chinese (Taiwan)
  German
  Hungarian
  Norwegian bokmål
  Spanish

Overview of changes in 3.13.2
==============================

* UI
  Use <Preferences> as dialog title (Yosef Or Boczko)
  Dialogs: use header bar and close button
  Editor toolbar: add some y offset (makes #728859 lighter)

* Backends
  icalcomp: get uid at creation (fix display of new memos)

  ownCloud: abort when a failure happens
    (Creating new notes will use local storage in this case.)

* Misc
  Build: remove GNOME_COMMON_INIT (Philip Withnall)
  Editor: fix constructed

* Translations
  Indonesian
  Brazilian Portuguese
  Hebrew
  Spanish
  Czech
  Catalan (Valencian)


Overview of changes in 3.13.1
==============================

* Remove Clutter
  Use a popover for editor selection

* Partial support for vjournal

* Focus notes when opened.
  Parly fixes #699249 (Chunyang Xu)

* Fix Header bar duplicate pixels

* Use subdir-objects, git.mk

* Translations
  Brazilian Portuguese
  Catalan
  Czech
  German
  Greek
  Hebrew
  Slovak


Overview of changes in 3.12.0
==============================

* Translations
  Basque
  Danish
  French (manual)
  Hungarian
  Italian
  Norwegian bokmål
  Slovenian
  Telugu


Overview of changes in 3.11.92
==============================

* Detach opened notes at startup

* Bugs
  Fix new notebooks not appearing
  Fix notes search inside trash bin
  Do not mix grid and list (again...)

* Translations
  Finnish
  French
  Latvian
  Norwegian bokmål
  Polish
  Portuguese
  Punjabi
  Russian
  Serbian
  Spanish
  Traditional Chinese
  Ukrainian


Overview of changes in 3.11.91
==============================

* Div
  Fix going back and forth to trash bin
  Assign a title even with a single row

* Translations
  Chinese
  Czech
  Galician
  Hebrew
  Hungarian
  Indonesian
  Lithuanian
  Norwegian bokmål
  Tajik



Overview of changes in 3.11.90
==============================

* Div
  Add commandline (Arnaud Bonatti)
  Fix build for tracker 1.0 (Alex Muñoz)
  Do not show 'load more' at startup
  Simpler feedback when search has no result
  Improve trash bin


* Translations:
  Spanish, Assamese, Ukrainian, Brazilian Portuguese,
  Tajik, Galician, Hebrew, Czech

Overview of changes in 3.11.5
=============================

* Unique window. But notes can be detached.
  Memorize window's size and position.

* Bugs
  Main toolbar : fix positions (Yosef Or Boczo)
  Fix default width (Michael Catanzaro)
  Do not toggle search on arrows, tab, return.
  Do not follow url. Use external application.


* Update documentation (Michael Hill, Shobha Tyagi)

* Translations
  Brazilian Portuguese (Rafael Ferreira)
  Chinese simplified (Tong Hui)
  Czech (Marek Černocký)
  Dutch (Reinout van Schouwen)
  Galician (Fran Diéguez)
  Greek (Dimitris Spingos)
  Hebrew  (Yosef Or Boczko)
  Indonesian ( Andika Triwidada)
  Lithuanian (Aurimas Černius)
  Norwegian bokmål (Kjartan Maraas)
  Tajik (Victor Ibragimov)
  Traditional Chinese (Cheng-Chia Tseng)
  Spanish ( Daniel Mustieles)



Overview of changes in 3.11.4
=============================

* Fixes
   keyboard navigation with ctrl tab
   mainToolbar: Fix item positions (Yosef Or Boczko)
   Fix default window width (Michael Catanzaro)

* Update documentation (Shobha Tyagi)


* Translations
  Brazilian Portuguese (Rafael Ferreira)
  Chinese simplified (Tong Hui)
  Galician (Fran Diéguez)
  German (Benjamin Steinwender)
  Greek (Dimitris Spingos)
  Hebrew (Yosef Or Boczko)
  Indonesian (Andika Triwidada)
  Lithuanian (Aurimas Černius)
  Spanish (Daniel Mustieles)
  Tajik  (Victor Ibragimov)

Overview of changes in 3.11.3
=============================

* Initial trash bin

* Bump tracker to 0.18

* Update documentation (Shobha Tyagi)

* Translations
  Brazilian Portuguese (Fábio Nogueira)
  Chinese simplified (Wylmer Wang)
  Esperanto (Ryan Lortie)
  Greek (Dimitris Spingos)
  Spanish (Daniel Mustieles)


Overview of changes in 3.11.2
=============================

* Use "Notebook" labels instead of "Collections"
  Update documentation (Shobha Tyagi)
  Fix Zeitgeist build (Dominique Leuenberger)


* Bug Fixes
  http://bugzilla.redhat.com/show_bug.cgi?id=1026979

* Translations
  Galician (Fran Diéguez)
  Greek (Dimitris Spingos)
  Hebrew (Yosef Or Boczko)
  Slovenian (Matej Urbančič)
  Spanish (Daniel Mustieles)



Overview of changes in 3.11.1
=============================

* List view : add three columns 
  Remove search completion
  Make Zeitgeist optional
  Use system font setting
  Revamp Tomboy/Gnote import a bit
  Validate .desktop on make check
  Rework opening notes at startup

* Bug Fixes
  Editor: handle tab key (710591)
  MainView: fix header bar double stroke (706909)
  Import dialog : add border (709348)
  Fix compilation warnings (Yosef Or Boczko)

* Translations:
  Asamese (Nilamdyuti Goswami)
  Basque ( Inaki Larranaga Murgoitio)
  Catalan (Carles Ferrando)
  Estonian (Priit Laes)
  French (Alexandre Franke)
  German (Christian Kirbach)
  Hebrew (Yosef Or Boczko)
  Japanese (Jiro Matsuzawa)
  Malayalam (Anish A)
  Portuguese (António Lima)
  Simplified Chinese (甘露)
  Slovenian (Matej Urbančič)
  Spanish (Daniel Mustieles)
  Tajik (Victor Ibragimov)
  Turkish (Muhammet Kara)



Overview of changes in 3.9.92
=============================

* Fixes some issues with own cloud notes.

* Bug Fixes
  Rename notes as first row is edited (#688902)
  Do not hide new notes when switching view (#702983)

* Translations:
  Czech (Marek Černocký)
  Dutch (Erwin Poeze)
  Finnish (Jiri Grönroos)
  Hebrew (Yosef Or Boczko)
  Hungarian (Balázs Úr)
  Indonesian (Andika Triwidada)
  Irish (Seán de Búrca)
  Italian (Claudio Arseni)
  Korean (Changwoo Ryu)
  Latvian (Rūdolfs Mazurs)
  Norwegian bokmål (Kjartan Maraas)
  Punjabi (Aman)
  Russian (Dmitriy S. Seregin)
  Serbian (Мирослав Николић)
  Slovak (Dušan Kazik)
  Traditional Chinese (Chao-Hsiung Liao)


Overview of changes in 3.9.91
=============================

* Ship appData
* Use native close button (Yosef Or Boczko)
* Update the documentation (Shobha Tyagi)
* Update About Dialog (Arnel A. Borja)

* Bug Fixes
  * fix selection toolbar buttons valign (Yosef Or Boczko)
  * Fix the back button (Yosef Or Boczko)
  * shell-provider: do not abort when tracker connection fails
  * Delete bjb-icons-colors (Yosef Or Boczko)

* Translations
  Updated Brazilian Portuguese translation (Enrico Nicoletto, Rafael Ferreira)
  Updated Czech translation (Marek Černocký)
  Added Friulian translation (Fabio Tomat)
  Updated Galician translations (Fran Diéguez)
  Updated Hungarian translation (Balázs Úr)
  Updated Italian translation (Claudio Arseni)
  Updated Lithuanian translation (Aurimas Černius)
  Updated Polish translation (Piotr Drąg)
  Updated slovak translation (Dušan Kazik)
  Updated Slovenian translation (Matej Urbančič)
  Updated Spanish translation (Daniel Mustieles)
  Updated Traditional Chinese translation (Chao-Hsiung Liao)
  Added uk translation (Daniel Korostil)


Overview of changes in 3.9.90
=============================

* Settings: revamp the window to add primary book choice
* Selection toolbar: update to newer design

* Bug Fixes
  * <name> must match the exact repository's name (Andrea Veri)
  * fix the import dialog icon for folders

* Translations
  Updated Brazilian Portuguese translation (Rafael Ferreira)
  Update Chinese simplified translation (tuhaihe)
  Updated Czech translation (Marek Černocký)
  Updated Galician translations (Fran Diéguez)
  Updated German translation (Benjamin Steinwender)
  Updated Hebrew translation (Yaron Shahrabani)
  Updated Hungarian translation (Gabor Kelemen)
  Updated Lithuanian translation (Aurimas Černius)
  Updated Norwegian bokmål translation (Kjartan Maraas)
  Updated Slovenian translation (Matej Urbančič)
  Updated Spanish translation (Daniel Mustieles)
  Updated Tajik translation (Victor Ibragimov)
  Updated Traditional Chinese translation (Chao-Hsiung Liao)


Overview of changes in 3.9.5
============================

* 703703: Add zeitgeist CREATE, LEAVE, MODIFY and DELETE event (Manish Sinha)
  704521: Install x-note mimetype (Manish Sinha)

* Bug Fixes
  703706: Crash when immediately closing a new note

* Translations
  Updated Czech translation (Marek Černocký)
  Update Japanese translation (Nishio Futoshi)
  Updated Norwegian bokmål translation (Kjartan Maraas)
  Updated Spanish translation (Daniel Mustieles)
  Added Tajik translation (Victor Ibragimov)
  Updated Traditional Chinese translation (Chao-Hsiung Liao)

Overview of changes in 3.9.4
============================

* 702298: Rename Notes

* Bug Fixes
  703404: Ship a HighContrast icon
  703017: mainToolbar: show the collection title (Yosef Or Boczko)
  702877: mainToolbar: Make headerbar a titlebar (Yosef Or Boczko)
  703474: mainToolbar: fix the look (Yosef Or Boczko)
  702504: Do not use egg list box (Yosef Or Boczko)
  703497: Set buttons according to locale s text direction (Yosef Or Boczko)
  703459: drop GtkStock (Yosef Or Boczko)
  703401: Add website link to about dialog (Jeremy Bicha)
  703401: Rename About Bijiben to About Notes (Jeremy Bicha)
  702865: Make title bar translatable (Jiro Matsuzawa)
  703501: bump to libzeitgeist2 (Manish Sinha)

* Translations
  Updated Brazilian Portuguese (Rafael Ferreira)
  Update Czech (Marek Černocký)
  Add Indonesian (Andika Triwidada)
  Update Norwegian (Kjartan Maraas)
  Update Spanish (Daniel Mustieles)



Overview of changes in 3.9.3
============================

* Initial ownCloud support and revisit architecture

* Bug fixes
  701054 : Wrong g_variant_builder_open (Aurimas Černius)

* New translations
  German (Christian Kirbach)
  Lithuanian (Aurimas Černius)
  Norwegian bokmål (Kjartan Maraas)

Overview of changes in 3.9.2
=============================

* Start fixing import dialog, preparing for organize dialog

* A first round of code cleanup

* Bug 699656 - search was really awful

* New translations:
  Turkish (Muhammet Karaà)
  Hebrew (Yaron Shahrabani)


  Thanks Ekaterina Gerasimova (many fixes)


Overview of changes in 3.9.1
=============================

* Add basis for collections

* Initial empty state (empty results box)

* Initial spinner

* Switch manual to CC license

* Bugs fixes
  697922 - Crash on 32-bit
  698028 - Note icons for list view

* New translations:
  el
  fi
  sk

Overview of changes in 3.8.0
=============================

* New translation:
  hu

Overview of changes in 3.7.92
=============================

* Fixes on email sharing (Bastien Nocera)

* Fix various regressions

* Use consistently GPLv3+

* New translation:
  da

Overview of changes in 3.7.91
=============================

* Switch to pure gtk for main view

* New translations:
  it

Overview of changes in 3.7.90
============================

* Properly amend the GtkList when a note changes or is deleted.

Overview of changes in 3.7.5
============================

* Bug fixed
  692791 - Tag sorting is confusing
  692790 - Adding new tag is confusing

* New translations:
  cs

Overview of changes in 3.7.4
============================

* Bug fixed
  690860 - Rework serialization format to be XHTML 

* New translations:
  ca
  pt
  zh

Overview of changes in 3.7.3
============================

* Bigger lines

* New translations:
  es
  fr
  gl
  pl
  sl
  sr

Overview of changes in 3.7.2
============================

* First preview release
